Subject: gzip stdin bug
From: [email-masked] (Fabio Somenzi)

16 Feb 1997 21:46:33 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I'm using gzip.exe from b17.1. I noticed that
    gzip -dc foo
typically works, whereas
    gzip -dc < foo
typically doesn't.
More precisely, the latter form only seems to work for very small files.
For large files it produces the message:
    stdin: unexpected end of input
At first glance the dividing line between "small" and "large" seems
situated around 512 bytes.

Is this a known problem?
(I remember seeing several postings on problems related to gzip, but
nothing really similar to this.)
If it is a known problem, is there a known solution?

Normally I can use "gzip -dc foo," but sometimes things are not under my
control. For instance, emacs, in auto-compress mode tries to execute
"gzip -c -q -d < foo".

Thanks in advance.

Fabio

-- 
Fabio Somenzi          | Phone: 303-492-3466
University of Colorado | Fax:   303-492-2758
ECE Dept.              | Email: [email-masked]
Boulder CO 80309-0425  | WWW:   http://vlsi.colorado.edu/~fabio
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".